Publish Job
curl --request POST \
--url https://api.linkupapi.com/v1/recruiter/publish \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"login_token": "<string>",
"job_id": "<string>",
"country": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/recruiter/publish"
payload = {
"login_token": "<string>",
"job_id": "<string>",
"country": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({login_token: '<string>', job_id: '<string>', country: '<string>'})
};
fetch('https://api.linkupapi.com/v1/recruiter/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status":"success",
"data":{
"job_id":"4222748461",
"message":"Job posting successfully published",
"job_state":"LISTED",
"published_at":1746301533088
}
}
Recruiting
Publish Job
Publish an existing job posting on LinkedIn
POST
/
v1
/
recruiter
/
publish
Publish Job
Publish a previously created job posting on LinkedIn, changing its status from draft to active.
This endpoint costs 1 credit per job publish operation. Ignore this if you’re on per-seat pricing: usage is unlimited.
Header Parameters
string
required
Your API key
Body Parameters
string
required
LinkedIn authentication cookie obtained from the login/verify process
string
required
LinkedIn job posting ID (obtained from the create endpoint)
string
default:"FR"
Country code for proxy selection. Available: (US, UK, FR, DE, NL, IT, IL, CA, BR, ES, IN)
Response
string
Request status (success/error)
string
Status message
string
Additional error details (in case of error)
{
"status":"success",
"data":{
"job_id":"4222748461",
"message":"Job posting successfully published",
"job_state":"LISTED",
"published_at":1746301533088
}
}
Was this page helpful?